Uploaded image for project: 'Moodle QA'
  1. Moodle QA
  2. MDLQA-1814 Moodle 2.3 QA Cycle 1
  3. MDLQA-2393

CLONE - An admin can upgrade from Moodle 2.2 with mod_book installed to Moodle 2.3 without errors

    XMLWordPrintable

    Details

    • Type: Functional Test
    • Status: Passed
    • Affects Version/s: Moodle 2.3
    • Fix Version/s: None
    • Component/s: Book
    • Labels:
      None

      Description

      Test notes:

      This QA test only needs to be present in the 2.3 QA cycle, when the mod_book is landing to core. Must be deleted as subtask of MDLQA-1 once the cycle is over.

      Test pre-requisites:

      • Any Moodle 2.2.x installed
      • mod_book from contrib installed
      • at least one book activity created with 2-3 chapters/subchapters containing some image.

      Test steps:

      • Install Moodle 2.3 codebase and, as admin, proceed to upgrade.
      • The process ends without any error related with mod_book.
      • Access to the book activity created under Moodle 2.2. The chapters and their contents (with images) continue there.

        Attachments

          Activity

            People

            Assignee:
            andreabix Andrea Bicciolo
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: